"use strict";
var path = require("path");
var ts = require("typescript");
function findAndReadConfig(baseDir, _parseConfigHost // for test
) {
    if (_parseConfigHost === void 0) { _parseConfigHost = ts.sys; } // for test
    var configFileName = 'tsconfig.json';
    function loop(dir) {
        var configPath = path.join(dir, configFileName);
        var result = ts.readConfigFile(configPath, _parseConfigHost.readFile);
        if (result.error) {
            var parent = path.dirname(dir);
            if (dir === parent)
                return undefined;
            return loop(parent);
        }
        return ts.parseJsonConfigFileContent(result.config, _parseConfigHost, dir, undefined, configPath);
    }
    return loop(baseDir);
}
exports.findAndReadConfig = findAndReadConfig;
