"use strict";
var fs = require("fs");
var glob = require("glob");
function readFileSync(filePath) {
    try {
        return fs.readFileSync(filePath, 'utf8');
    }
    catch (err) {
        return undefined;
    }
}
exports.readFileSync = readFileSync;
function readFile(filePath) {
    return exec(fs.readFile, filePath, 'utf8');
}
exports.readFile = readFile;
function writeFile(filePath, data) {
    return exec(fs.writeFile, filePath, data);
}
exports.writeFile = writeFile;
function globSync(patterns) {
    if (typeof patterns === 'string') {
        patterns = [patterns];
    }
    return patterns.reduce(function (acc, pattern) {
        return acc.concat(glob.sync(pattern));
    }, []);
}
exports.globSync = globSync;
function exec(fn) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    return new Promise(function (resolve, reject) {
        fn.apply(undefined, args.concat(function (err, res) {
            if (err)
                reject(err);
            resolve(res);
        }));
    });
}
